<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="/css/styles3.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-gH2yIJqKdNHPEq0n4Mqa/HGKIhSkIHeL5AyhkYV8i59U5AR6csBvApHHNl/vI1Bx" crossorigin="anonymous">
    <title>Dashboard</title>
</head>

<body>
    <div class="container">
        <h1 class="text-dark text-center m-5"> WELCOME TO DASHBOARD</h1>
    </div>
    <div class="container">
        <ul class="nav justify-content-center">
            <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="/dashboard/list">User Game</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/dashboard/biodata">Biodata User</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/dashboard/history">Sejarah Permainan</a>
            </li>
        </ul>
    </div>

    <div class="container mt-1">
        <a class="text-dark btn btn-primary" href="/dashboard/create">Create</a>
        <a class="text-dark btn btn-primary" href="/login">Logout</a>
        <table class="table text-dark">
            <thead>
                <tr>
                    <th scope="col">No</th>
                    <th scope="col">Username</th>
                    <th scope="col">Email</th>
                    <th scope="col">Password</th>
                    <th scope="col">User Id</th>
                    <th scope="col">Nama Depan</th>
                    <th scope="col">Action</th>

                </tr>
            </thead>
            <tbody>
                <% for (i=0; i < player.length; i++) { %>
                    <tr>
                        <th scope="row">
                            <%= i+1 %>
                        </th>
                        <td>
                            <%= player[i].username %>
                        </td>
                        <td>
                            <%= player[i].email %>
                        </td>
                        <td>
                            <%= player[i].password%>
                        </td>
                        <td>
                            <%= player[i].id%>
                        </td>
                        <td>
                            <%= player[i].user_game_biodata.firstName%>
                        </td>
                        
                        <td>
                            <a class="text-dark btn btn-primary" href="/dashboard/<%=player[i].id %>/edit">Edit</a>
                            <a class="text-dark btn btn-danger" href="/dashboard/<%=player[i].id %>/delete">Delete</a>
                        </td>
                        <% } %>
                    </tr>
            </tbody>
        </table>
    </div>
    <!-- JavaScript Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-A3rJD856KowSb7dwlZdYEkO39Gagi7vIsF0jrRAoQmDKKtQBHUuLZ9AsSv4jD4Xa"
        crossorigin="anonymous"></script>
</body>

</html>